# FieldCoders

    public enum FieldCoders

Namespace for Built-in Field Coders

### FieldCoders

- `DefaultNSSecureCoding`

  A `FieldCoderType` that implements the default Core Data transformable attribute behavior, which uses a `ValueTransformer` named `.secureUnarchiveFromDataTransformerName`.

  See more

  #### Declaration

  Swift

      public struct DefaultNSSecureCoding<T> : FieldCoderType where T : DefaultNSSecureCodable

### Json

- `Json`

  A `FieldCoderType` that implements JSON encoding and decoding of `Codable` values.

  Important

  Due to restrictions of `JSONEncoder`, the value will be contained in single-item array before encoding.
  See more

  #### Declaration

  Swift

      public struct Json<V> : FieldCoderType where V : Decodable, V : Encodable

### NSCoding

- `NSCoding`

  A `FieldCoderType` that implements encoding and decoding of `NSCoding` values

  See more

  #### Declaration

  Swift

      public struct NSCoding<V> : FieldCoderType where V : NSObject, V : NSCoding

### Plist

- `Plist`

  A `FieldCoderType` that implements Binary-Plist encoding and decoding of `Codable` values.

  Important

  Due to restrictions of `JSONEncoder`, the value will be contained in single-item array before encoding.
  See more

  #### Declaration

  Swift

      public struct Plist<V> : FieldCoderType where V : Decodable, V : Encodable